import { PropsWithChildren } from 'react';

type ToggleButtonType = {
    selected: string;
    unselected: string;
};

export interface ButtonMainProps extends PropsWithChildren<any> {
    disabled?: boolean;
    variant?: 'filled' | 'outlined' | 'elevated' | 'tonal' | 'text';
}

export interface FABMainProps extends PropsWithChildren<any> {
    icon: string;
    disabled?: boolean;
    size?: 'small' | 'default' | 'large' | 'extended';
    variant?: 'surface' | 'primary' | 'secondary' | 'tertiary';
}

export interface IconButtonMainProps extends PropsWithChildren<any> {
    icon: string;
    toggled?: false | ToggleButtonType;
    disabled?: boolean;
    variant?: 'default' | 'filled' | 'tonal' | 'outlined';
}
